oracle.pgx.config

## Interface ConfigField

- All Known Implementing Classes:
    ClientConfig.Field, FileGraphConfig.Field, GraphErrorHandlingConfig.Field, GraphLoadingConfig.Field, GraphPropertyConfig.Field, PgHbaseGraphConfig.Field, PgNosqlGraphConfig.Field, PgxConfig.Field, RuntimeConfig.Field, TwoTablesGraphConfig.Field

      public interface ConfigField

  A field in a config.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.

- - ### Method Detail

    - #### getDefaultVal

          Object getDefaultVal()

      Gets the default value of this field.
      Returns:
        the default value

    - #### getKeyAliases

          List<String> getKeyAliases()

      Gets the key aliases of this field which are also recognized during parsing.
      Returns:
        the key aliases

    - #### getType

          Class<?> getType()

      Gets the type of this field.
      Returns:
        the type

    - #### isArray

          boolean isArray()

      Checks if this field is an array.
      Returns:
        true, if array

    - #### isEnum

          boolean isEnum()

      Checks if this field is of enum type.
      Returns:
        true, if enum

    - #### isPath

          boolean isPath()

      Checks if this field is a path.
      Returns:
        true, if path

    - #### isPrimitive

          boolean isPrimitive()

      Checks if this field is of primitive type.
      Returns:
        true, if primitive

    - #### isRequired

          boolean isRequired()

      Checks if this field is required.
      Returns:
        true, if required

    - #### toKey

          String toKey()

      Get the key of this field, which is how this field is represented in serialized form.
      Returns:
        the key.

Copyright © 2015. All rights reserved.